* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
}

body {
  background: #0a0313;
  color: white;
  font-family: "Poppins", Arial, sans-serif;
}

header {
  position: fixed;
  top: 0;
  width: 100%;
  height: 60px;
  background: #11071f;
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 10;
}

.logo {
  position: absolute;
  left: 12%;
  font-size: 18px;
  font-family: "Poppins", Arial, sans-serif;
  font-weight: 600;
}

nav {
  display: flex;
  gap: 70px;
}

nav a {
  color: white;
  text-decoration: none;
  font-size: 16px;
}

.sessao {
  min-height: 100vh;
  padding-top: 90px;
  scroll-snap-align: start;
}

main {
  scroll-snap-type: y mandatory;
}

.sobre-container {
  width: 75%;
  margin: auto;
}

.conteudo-sobre {
  display: flex;
  flex-direction: column;
}

.apresentacao {
  display: flex;
  align-items: center;
  gap: 8px;
  margin-bottom: 20px;
  padding-left: 450px;
}

.apresentacao img {
  width: 35px;
}

.apresentacao span {
  font-family: "Preahvihear", Arial, sans-serif;
  font-size: 18px;
  color: #ffffff;
  font-weight: 200;
}

.apresentacao b {
  color: #b972ff;
}

.linha-conteudo {
  display: flex;
  align-items: flex-start;
  justify-content: center;
  gap: 60px;
}

.foto-area {
  position: relative;
}

.foto-area::before {
  content: "";
  position: absolute;
  width: 380px;
  height: 380px;
  background: #4f228d;
  border-radius: 50%;
  filter: blur(80px);
  opacity: 0.6;
  z-index: 0;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.foto-perfil {
  width: 340px;
  height: 380px;
  object-fit: cover;
  border-radius: 16px;
  border: 4px solid #4f228d;
  position: relative;
  z-index: 1;
}

.texto-area h1 {
  font-size: 52px;
  line-height: 1.1;
  font-weight: 500;
  font-family: "Reddit Sans", Arial, sans-serif;
}

.texto-area h1 span {
  color: #b972ff;
}

.texto-area p {
  margin-top: 20px;
  font-size: 24px;
  max-width: 600px;
  line-height: 1.5;
  font-family: "Reddit Sans", Arial, sans-serif;
}

.skills {
  width: 60%;
  margin: 24px auto;
}

.skills h2 {
  font-family: "Reddit Sans", Arial, sans-serif;
  font-size: 32px;
  font-weight: 400;
}

.skills-grid {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 25px;
  margin-top: 30px;
}

.skill {
  display: flex;
  align-items: center;
  gap: 15px;
}

.icone {
  font-size: 14px;
}

.icone img {
  width: 44px;
  height: 44px;
  object-fit: contain;
}

.skill span {
  font-size: 16px;
}

.barra {
  width: 410px;
  height: 14px;
  background: #ddd;
  border-radius: 10px;
  overflow: hidden;
}

.barra div {
  height: 100%;
  background: linear-gradient(
    90deg,
    #2c144d,
    #381e5e,
    #38126d,
    #3f2366,
    #33165c
  );
  border-radius: 10px;
}

#contato {
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 40px;
}

/* SEÇÃO PROJETOS */

.projetos {
  width: 60%;
  margin: 24px auto;
  display: flex;
  flex-direction: column;
  justify-content: center;
  color: white;
}

.projetos h2 {
  font-family: "Reddit Sans", Arial, sans-serif;
  font-size: 32px;
  font-weight: 400;
  margin-top: -80px;
  margin-bottom: 40px;
}

/* CONTAINER */

.projeto-container {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 40px;
  position: relative;
}

/*LADO ESQUERDO*/

.projeto-info {
  width: 40%;
  position: relative;
  z-index: 2;
}

.subtitulo-projeto {
  font-family: "Poppins", Arial, sans-serif;
  font-weight: 600;
  display: block;
  color: #b972ff;
  font-size: 16px;
  margin-bottom: 2px;
}

.titulo-projeto {
  margin-bottom: 24px;
  font-family: "Poppins", Arial, sans-serif;
  font-weight: 600;
  font-size: 40px;
}

/* CARD DE DESCRIÇÃO */

.descricao-box {
  width: 600px;
  height: 150px;
  padding: 32px;
  padding-top: 16px;
  border-radius: 14px;
  background: linear-gradient(135deg, #1e0a31, rgba(65, 37, 126, 0.18));
  backdrop-filter: blur(24px);
  -webkit-backdrop-filter: blur(24px);
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  position: relative;
  z-index: 5;
}

.descricao-box p {
  font-family: "Poppins", Arial, sans-serif;
  font-size: 14px;
  color: #ffffff;
}

.descricao-box a {
  font-family: "Poppins", Arial, sans-serif;
  font-size: 14px;
  color: #b972ff;
  text-decoration: none;
  transition: 0.3s;
}

.descricao-box a:hover {
  color: white;
}

/*TECNOLOGIAS*/

.tecnologias {
  display: flex;
  gap: 4px;
  margin-top: 16px;
  align-items: center;
}

.tecnologias img {
  width: 28px;
  transition: 0.3s;
}

/* LADO DIREITO */

.projeto-preview {
  width: 55%;
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
}

.glow {
  content: "";
  position: absolute;
  width: 600px;
  height: 400px;
  background: #4f228d;
  border-radius: 50%;
  filter: blur(80px);
  opacity: 0.6;
  z-index: 0;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

#imagemProjeto {
  width: 100%;
  max-width: 800px;
  position: relative;
  z-index: 1;
  transition: 0.4s;
  border-radius: 24px;
}

/* CARROSSEL */

.carrossel {
  width: 100%;
  margin-top: 40px;
  padding: 40px;
  border-radius: 22px;
  background: linear-gradient(
    160deg,
    #130428,
    #251043,
    #38126d,
    #261045,
    #190634
  );
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 25px;
  box-shadow: 0 7px 26px #000000;
  border-top: 4px solid #4f228d;
}

/* Janela que mostra somente 4 cards */

.viewport {
  width: 800px;
  overflow: hidden;
  margin: auto;
}

/* Faixa que desliza */

.track-projetos {
  display: flex;
  gap: 20px;
  transition: transform 0.45s ease;
  will-change: transform;
}

/* Botões */

.seta {
  width: 60px;
  height: 60px;
  min-width: 60px;
  min-height: 60px;
  flex-shrink: 0;
  border: none;
  border-radius: 50%;
  background: rgba(255, 255, 255, 0.08);
  color: white;
  font-size: 28px;
  cursor: pointer;
  transition: 0.25s;
}

.seta:hover {
  background: #8c4dff;
}

/* LISTA DOS CARDS */
.lista-projetos {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  gap: 20px;
  width: 800px;
  position: relative;
  flex: 1;
}

.lista-projetos.animar-esquerda {
  animation: slideEsquerda 0.35s ease;
}

.lista-projetos.animar-direita {
  animation: slideDireita 0.35s ease;
}

@keyframes slideEsquerda {
  from {
    transform: translateX(50px);
    opacity: 0.2;
  }

  to {
    transform: translateX(0);
    opacity: 1;
  }
}

@keyframes slideDireita {
  from {
    transform: translateX(-50px);
    opacity: 0.2;
  }

  to {
    transform: translateX(0);
    opacity: 1;
  }
}

/* CARD */

.card-projeto {
  width: 180px;
  height: 180px;
  border-radius: 18px;
  overflow: visible;
  cursor: pointer;
  position: relative;
  transition: 0.35s;
  flex-shrink: 0;
}

.card-projeto img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 18px;
}

/* brilho abaixo */

.card-projeto.ativo::after {
  content: "";
  position: absolute;
  left: 50%;
  bottom: -30px;
  transform: translateX(-50%);
  width: 120px;
  height: 60px;
  border-radius: 50%;
  background: radial-gradient(
    ellipse at center,
    rgba(107, 44, 165, 0.9) 0%,
    rgba(77, 25, 167, 0.55) 40%,
    rgba(124, 58, 237, 0) 75%
  );
  filter: blur(12px);
  z-index: 0;
  pointer-events: none;
}

/* borda */

.card-projeto.ativo::before {
  content: "";
  position: absolute;
  inset: 0;
  border-radius: 18px;
  border: 2px solid #7027c8;
}

/* ANIMAÇÃO */

.projeto-info.fade {
  animation: fadeTexto 0.4s;
}

@keyframes fadeTexto {
  from {
    opacity: 0;
    transform: translateY(15px);
  }

  to {
    opacity: 1;
    transform: translateY(0);
  }
}

/* MENU */

.seletor-projetos {
  width: 60%;
  margin: 50px auto 0;
  background: #190b31;
  border-top: 1px solid #7027c8;
  border-radius: 8px;
  padding: 25px;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.seletor-projetos button {
  background: none;
  border: none;
  color: white;
  font-size: 60px;
  cursor: pointer;
}

.mini-card {
  width: 95px;
  height: 95px;
  border-radius: 8px;
  background: #eee;
  color: #222;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 13px;
}

.mini-card.ativo {
  background: #211d26;
  color: white;
  border: 2px solid #8b2cff;
}

/* CONTATO */

.contato {
  min-height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
}

.contato-container {
  width: 60%;
  margin: 0 auto;
}

.contato h2 {
  font-family: "Reddit Sans", Arial, sans-serif;
  font-size: 32px;
  font-weight: 400;
}

.contato p:not(.chamada) {
  margin-top: 40px;
  font-size: 24px;
  max-width: 100%;
  line-height: 1.5;
  font-family: "Reddit Sans", Arial, sans-serif;
  margin-bottom: 20px;
}

.chamada {
  font-size: 24px;
  max-width: 100%;
  line-height: 1.5;
  font-family: "Reddit Sans", Arial, sans-serif;
  margin-top: 40px;
}

.redes {
  display: flex;
  gap: 18px;
  margin-top: 20px;
  margin-bottom: 20px;
}

.redes a {
  display: flex;
  align-items: center;
  justify-content: center;
  transition: 0.3s;
}

.redes a img {
  width: 40px;
  height: 40px;
  object-fit: contain;
}

.redes a:hover {
  opacity: 0.4;
}

.curriculo {
  display: inline-block;
  margin-top: 15px;
  background: linear-gradient(
    120deg,
    #2c144d,
    #381e5e,
    #38126d,
    #3f2366,
    #33165c
  );
  border: 2px solid #7027c8;
  padding: 8px 12px;
  border-radius: 12px;
  color: white;
  text-decoration: none;
  font-family: "Poppins", Arial, sans-serif;
  font-size: 16px;
}

.curriculo:hover {
  opacity: 0.8;
}

/* ========================= */
/* NOTEBOOKS */
/* ========================= */

@media (max-width: 1200px) {
  .sobre-container,
  .projetos,
  .contato-container {
    width: 90%;
  }

  .apresentacao {
    padding-left: 0;
    justify-content: center;
  }

  .texto-area h1 {
    font-size: 42px;
  }

  .texto-area p,
  .contato p:not(.chamada) {
    font-size: 20px;
  }

  .skills{
        width:95%;
    }

    .skills-grid{
        column-gap:40px;
    }

    .skill > div:last-child{
        flex:1;
    }

    .barra{
        width:100%;
        max-width:420px;
    }

  .descricao-box {
    width: 100%;
    height: auto;
    min-height: 170px;
  }

  .viewport {
    width: 620px;
  }
}

/* ========================= */
/* TABLETS */
/* ========================= */

@media (max-width: 992px) {
  nav {
    gap: 35px;
  }

  .linha-conteudo {
    flex-direction: column;
    align-items: center;
    text-align: center;
  }

  .texto-area {
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  .foto-perfil {
    width: 280px;
    height: 320px;
  }

  .foto-area::before {
    width: 300px;
    height: 300px;
  }

  .skills-grid {
    grid-template-columns: 1fr;
  }

  .skill > div:last-child{
    flex:1;
    width:100%;
  }

  .barra{
    width:100%;
  }

  .projeto-container {
    flex-direction: column-reverse;
    text-align: center;
  }

  .projeto-info,
  .projeto-preview {
    width: 100%;
  }

  .tecnologias {
    justify-content: center;
  }

  .viewport {
    width: 400px;
  }
}

/* ========================= */
/* CELULARES */
/* ========================= */

@media (max-width: 768px) {
  header {
    padding: 0 20px;
    justify-content: space-between;
  }

  .logo {
    position: static;
  }

  nav {
    gap: 18px;
  }

  nav a {
    font-size: 14px;
  }

  .sessao {
    min-height: auto;
    padding: 90px 20px 50px;
  }

  main {
    scroll-snap-type: none;
  }

  .sobre-container,
  .skills,
  .projetos,
  .contato-container {
    width: 100%;
  }

  .apresentacao {
    justify-content: center;
  }

  .texto-area h1 {
    font-size: 34px;
  }

  .texto-area p,
  .contato p:not(.chamada),
  .chamada {
    font-size: 18px;
  }

  .foto-perfil {
    width: 220px;
    height: 260px;
  }

  .foto-area::before {
    width: 240px;
    height: 240px;
    filter: blur(60px);
  }

.skill{
    display:flex;
    align-items:center;
    gap:15px;
}

.skill > div:last-child{
    flex:1;
}

.barra{
    width:100%;
}

  .projetos h2,
  .skills h2,
  .contato h2 {
    font-size: 28px;
  }

  .titulo-projeto {
    font-size: 30px;
  }

  .descricao-box {
    padding: 20px;
  }

  .carrossel {
    padding: 20px 10px;
    gap: 10px;
  }

  .viewport {
    width: 200px;
  }

  .card-projeto {
    width: 180px;
    height: 180px;
  }

  .seta {
    width:45px;
    height:45px;
    min-width:45px;
    min-height:45px;
    flex-shrink:0;
    font-size:22px;
  }

  .redes {
    justify-content: center;
  }

  .curriculo {
    display: block;
    width: max-content;
    margin: 20px auto 0;
  }
}
